%define upstream_name pyrfc3339

Name:           python-%{upstream_name}
Version:        1.0
Release:        %mkrel 2
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pyRFC3339
Source0:        https://pypi.python.org/packages/source/a/pyRFC3339/pyRFC3339-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%package -n     python3-%{upstream_name}
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{upstream_name}
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

This is the Python 3 version of the package.

%prep
%setup -q -n pyRFC3339-%{version}

# Remove bundled egg-info
rm -rf pyRFC3339.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%{python2_sitelib}/pyrfc3339
%{python2_sitelib}/pyRFC3339-%{version}-*.egg-info

%files -n python3-%{upstream_name}
%{python3_sitelib}/pyrfc3339
%{python3_sitelib}/pyRFC3339-%{version}-*.egg-info


%changelog
* Tue Jan 19 2016 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 925744
- use new python macros
- add python3 package

* Fri Dec 04 2015 guillomovitch <guillomovitch> 1.0-1.mga6
+ Revision: 908042
- imported package python-pyrfc3339

